Home

# Class goog.net.xpc.FrameElementMethodTransport

Frame-element method transport. Firefox allows a document within an iframe to call methods on the iframe-element added by the containing document. NOTE(user): Tested in all FF versions starting from 1.0

extends goog.net.xpc.Transport

Instance Method Summary
| `attemptSetup_()` Only used from within an iframe. Attempts to attach the method to be used for sending messages by the containing document. Has to wait until the containing document has finished. Therefore calls itself in a timeout if not successful.
| `connect()` Connect this transport.
| `deliverQueued_()` Delivers queued messages.

`disposeInternal()`

Deletes or nulls out any references to COM objects, DOM nodes, or other disposable objects. Classes that extend {@code goog.Disposable} should override this method. Not reentrant. To avoid calling it twice, it must only be called from the subclass' {@code disposeInternal} method. Everywhere else the public {@code dispose} method must be used. For example:

    mypackage.MyClass = function() {
    goog.base(this);
    // Constructor logic specific to MyClass.
    ...
    };
    goog.inherits(mypackage.MyClass, goog.Disposable);

    mypackage.MyClass.prototype.disposeInternal = function() {
    goog.base(this, 'disposeInternal');
    // Dispose logic specific to MyClass.
    ...
    };

| `incoming_(string serviceName, string payload)` Process incoming message.
| `send(string service, string payload)` Send a message
| `transportServiceHandler(string payload)` Handles transport service messages.